summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
authorEd Kern <ejk@cisco.com>2018-01-16 21:21:12 -0700
committerEd Kern <ejk@cisco.com>2018-01-17 10:07:11 -0700
commit9777f13acbd29a71f72c4090aac1d3ba27732b1f (patch)
treeea8f8847aa5beb82aca40d00a46215773453e40a /jjb/scripts/setup_vpp_ubuntu_docker_test.sh
parentf3564c0231be51ad6ed33087ff3a401e9f6268c4 (diff)
Expand shm for docker ubuntu images
Change-Id: Ida2d9bc4974795b4d9e6277ca191356ddecaba9a Signed-off-by: Ed Kern <ejk@cisco.com>
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
new file mode 100644
index 000000000..41c8dd6ef
--- /dev/null
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+set -e -o pipefail
+
+if ! [ -z ${DOCKER_TEST} ] ; then
+ mount -o remount /dev/shm -o size=512M || true
+fi